@echo off
rem Install procedure by WALKEN...
echo ÿ
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ·
echo ³ IMPACT Studios presents... º
echo ³        LEGEND 1.0          º
echo ÔÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍ¼
echo ÿ
echo    IMPACT Studios World HQ :
echo          GENESIS BBS
echo       ++32-(0)2-2453498
echo 5 lines ringdown USRDS / 16.8K
echo ÿ
echo           3 Sysops :
echo           MadFlight
echo    MacGarret / Renaissance
echo  Darkness / Imphobia Cascada
echo ÿ
echo Installation procedure is running...
echo ÿ
for %%a in (README.TXT INSTALL.BAT FILE_ID.DIZ FDREAD.EXE FDF.EXE _LEGEND.EXE) do if not exist %%a goto directory
if !%1!==!! goto syntax
if not !%fdread%!==!! goto no_fdread
echo Installing FDREAD...
FDREAD.EXE >nul:
set fdread=yes
:no_fdread
if !%2!==!! goto floppy
if exist %1%2\*.* goto no_md
echo Creating directory...
md %1%2 >nul:
:no_md
echo Copying files...
copy file_id.diz %1%2 >nul:               
copy _LEGEND.EXE %1%2 >nul:
%1
cd %2
echo Unpacking files...
echo y|_LEGEND.EXE >nul:
if errorlevel 1 goto error
echo ÿ
echo All files unpacked OK !
echo (but please verify that LEGEND.EXE is 1672851 bytes long...)
echo ÿ
echo Now you can watch the demo by typing LEGEND. Enjoy the show !
echo If you want more information about the demo please use LEG_TEXT.EXE
echo ÿ
echo If you want to make some room on your hard disk please always keep safe the
echo following files :
echo ÿ
echo      - README.TXT
echo      - INSTALL.BAT
echo      - FILE_ID.DIZ
echo      - FDREAD.EXE
echo      - FDF.EXE
echo      - _LEGEND.EXE
goto ok
:error
echo ÿ
echo INSTALL ERROR ! THE UNPACKING SOFTWARE SEEMS TO HAVE PROBLEMS !
echo ÿ
echo Please verify that you have 4Mb free on your hard disk before installation.
echo      If not, this explains the problem...
echo ÿ
echo In any other case, it is likely that your version of the LEGEND software is
echo      corrupted. You should try to get it again...
echo ÿ
echo For example you can get a good version on our World HQ : GENESIS 
goto nok
:floppy
echo Formating floppy disk...
echo a|FDF.EXE %1 f164 c2 d8 k vlegend x2 y3 >nul:
if not errorlevel 1 goto install
echo ÿ
echo INSTALL ERROR ! THE TARGET DRIVE DOES NOT CONTAIN A GOOD 1.44 Mb DISK !
echo ÿ
echo Please verify that the target is a 1.44 Mb drive, then insert a good 1.44 Mb
echo disk in the target drive and try again...
echo ÿ
echo (You can also check if your disk is write-protected...)
echo ÿ
echo The last trick : sometimes the DOS is unhappy and it will not allow the
echo install procedure to format your disk. The formating utility will abort just
echo after displaying the 'Formating floppy disk' message. If this occurs, you
echo should try using the dos-format command (format %1 /u) and abort the format
echo after 1 or 2 tracks, then start the INSTALL.BAT procedure again. Usualy the
echo DOS will be happy and it will work. Don't ask me why....
goto nok
:install
echo Copying files...
for %%a in (README.TXT INSTALL.BAT FILE_ID.DIZ FDREAD.EXE FDF.EXE _LEGEND.EXE) do copy %%a %1 >nul:
:ok
echo ÿ
echo LEGEND INSTALLATION TERMINATED !
goto fin
:directory
echo INSTALL ERROR ! THE FOLOWING FILES MUST BE IN THE CURRENT DIRECTORY :
echo ÿ
echo      - README.TXT
echo      - INSTALL.BAT
echo      - FILE_ID.DIZ
echo      - FDREAD.EXE
echo      - FDF.EXE
echo      - _LEGEND.EXE
echo ÿ
echo Please move to the good directory or get a good version of this installation
echo procedure, then run INSTALL.BAT again...
goto nok
:syntax
echo INSTALL ERROR ! THE SYNTAX FOR INSTALL.BAT IS :
echo ÿ
echo      - If you want to install LEGEND to a 1.44 Mb floppy drive :
echo           INSTALL drive:                (for example install a:)
echo           (but the demo cannot be run from a floppy disk !)
echo ÿ
echo      - If you want to install LEGEND to your hard disk (you'll need 4Mb free) :
echo           INSTALL drive: directory:     (for example install c: \impact\legend)
echo           (take care of the blank between c: and \impact\legend !)
:nok
echo ÿ
echo You should also read README.TXT for information about the install procedure
:fin
echo ÿ
